All Classes Functions Typedefs Enumerations Enumerator Properties Groups Pages
QDjangoFastCgiServer Class Reference
Http

The QDjangoFastCgiServer class represents a FastCGI server. More...

`#include <QDjangoFastCgiServer.h>`

Inheritance diagram for QDjangoFastCgiServer:

## Public Member Functions

| QDjangoFastCgiServer (QObject *parent=0)
| ~QDjangoFastCgiServer ()
void | close ()
bool | listen (const QString &name)
bool | listen (const QHostAddress &address, quint16 port)
QDjangoUrlResolver * | urls () const

## Detailed Description

The QDjangoFastCgiServer class represents a FastCGI server.

It allows you to create a FastCGI server which your reverse proxy (e.g. apache, nginx) will query to serve your web application.

To register views, see urls().

See Also
  QDjangoHttpServer

## Constructor & Destructor Documentation

QDjangoFastCgiServer::QDjangoFastCgiServer | ( | QObject * | parent = `0`) |  |

Constructs a new FastCGI server.

QDjangoFastCgiServer::~QDjangoFastCgiServer | ( | ) |  |

Destroys the FastCGI server.

## Member Function Documentation

void QDjangoFastCgiServer::close | ( | ) |  |

Closes the server. The server will no longer listen for incoming connections.

bool QDjangoFastCgiServer::listen | ( | const QString & | name) |  |

Tells the server to listen for incoming connections on the given local socket.

bool QDjangoFastCgiServer::listen | ( | const QHostAddress & | address,
|  | quint16 | port
| ) |  |

Tells the server to listen for incoming TCP connections on the given address and port.

QDjangoUrlResolver * QDjangoFastCgiServer::urls | ( | ) |  | const

Returns the root URL resolver for the server, which dispatches requests to handlers.

The documentation for this class was generated from the following files:

- QDjangoFastCgiServer.h
- QDjangoFastCgiServer.cpp